Bug 192870 - [RHEL4 U4 beta] LVM2 mirror: dmeventd doesn't release terminal.
[RHEL4 U4 beta] LVM2 mirror: dmeventd doesn't release terminal.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper (Show other bugs)
4.4
All Linux
high Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks: 181411 186476
  Show dependency treegraph
 
Reported: 2006-05-23 14:22 EDT by Kiyoshi Ueda
Modified: 2013-04-02 19:51 EDT (History)
8 users (show)

See Also:
Fixed In Version: RHBA-2006-0434
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix problem (610 bytes, patch)
2006-06-02 12:19 EDT, Jonathan Earl Brassow
no flags Details | Diff

  None (edit)
Description Kiyoshi Ueda 2006-05-23 14:22:32 EDT
Description of problem:
Logout doesn't complete because dmeventd doesn't release terminal
after activate a LV on the remote terminal.


Version-Release number of selected component:
device-mapper-1.02.07-2.0.RHEL4 (RHEL4 U4 pre-beta)


How reproducible:
Always


Steps to Reproduce:
 1. ssh login to a host.
    And execute the following commands on the remote terminal.
 2. Prepare a VG which has more than 2 PVs.
 3. Create a mirror LV from the VG.
      # lvcreate -L 12m -n lv0 -m 1 vg0
 4. Logout from the host.


Actual results:
Shell prompt doesn't return.


Expected results:
Shell prompt should return.


Additional info:
In the dmeventd/dmeventd.c:daemonize(), related codes seems to be
inactivated.

------------------------------------------------------------
static int daemonize(void)
{
        setsid();
        if (chdir("/"))
                return -EXIT_CHDIR_FAILURE;

/* FIXME: activate again after we're done with tracing.
        if ((close(STDIN_FILENO) < 0) ||
            (close(STDOUT_FILENO) < 0) ||
            (close(STDERR_FILENO) < 0))
                return -EXIT_DESC_CLOSE_FAILURE;
*/

        return 0;
}
------------------------------------------------------------
Comment 1 Jonathan Earl Brassow 2006-06-02 12:19:58 EDT
Created attachment 130409 [details]
Patch to fix problem
Comment 4 Alasdair Kergon 2006-07-05 13:59:49 EDT
included in 1.02.07-3.0
Comment 8 Red Hat Bugzilla 2006-08-10 17:25:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0434.html

Note You need to log in before you can comment on or make changes to this bug.